package com.qmth.qrzk.dao;

import java.util.List;

import com.qmth.qrzk.repository.service.query.UserQueryParams;
import com.qmth.qrzk.repository.user.model.ImportBean;
import com.qmth.qrzk.repository.user.model.User;

/**
 * 	用户接口  提供操作用户的方法
 * @author 钟辉
 *
 */
public interface IUserDao {

	List<User> selectUser(User user) ;

	void updateUser(User user);
	
	int updateLastLoginDate(User user);
	
	int updatePassword(User user);
	
	Integer deleteUser(User poUserTO);
	
	public User getLoginUserByUsername(String userName);
	
	public int queryNameFromList(List<ImportBean> list);
	
	public List<User> queryName(String name);
	
	public List<User> getUsersByCourse(List<Integer> ls);
	
	public List<User> queryUsers(UserQueryParams params);
	
	public int insertUser(User user);
	
	public int queryUserName(String name);
	
	public int updateStatus(User user);
	
	public User findUserById(int id);
	
	public int checkPassword(User user);
	
	public int insertUserList(List<User> list );
	
	/**
	 * 查询能命题某个课程的的用户，即此用户的角色是“命题教师”或者“审题教师”
	 * @param courseId 课程ID
	 * @return
	 */
	public List<User> getCanSetByUsers(int courseId);
	
}
